% COEFFX Calculates the coefficients of the finite difference expression of heat equation
%        with T derivatives with respect to z computed at time p+2

% Script component of TEMSPOL: a MATLAB thermal model for deep subduction
% zones including major phase transformations.
% A.M. Negredo, J.L. Valera and E. Carminati (2002)

 R=1+Lt/Cp*betat(i,j);
 Ez=K/(rho(i,j)*Cp*Dz^2);
A=-R/(2*Dz)*vz(i,j)-Ez;
B=R/Dt+2*Ez;
C=R/(2*Dz)*vz(i,j)-Ez;
 D1=R/Dt*T(i,j)-R*vx(i,j)/(2*Dx)*(T(i+1,j)-T(i-1,j));
 D2=K/(rho(i,j)*Cp*Dx^2)*(T(i+1,j)-2*T(i,j)+T(i-1,j));
 D3=-vz(i,j)*(Lt/Cp*betaz(i,j)+alpha*g*(T(i,j)+273)/Cp)+H(i,j)/(rho(i,j)*Cp)+tau(i,j)*abs(Vs)/(W*rho(i,j)*Cp);
D=D1+D2+D3;
%We do not need to save the values of Ez,R,D1,D2 and D3 because they are recalculated every temporal iteration.
clear Ez R D1 D2 D3;
%We needn't save the values coefficient because they are recalculated every temporal iteration.
